import { TreeNode } from 'unplugin-vue-router';

declare function getNuxtStyleRouteName(node: TreeNode): string;
declare const getRouteName: ({ routeMap, nuxtStyle, }: {
    routeMap?: Map<string, TreeNode> | undefined;
    nuxtStyle?: boolean | undefined;
}, getRouteName?: typeof getNuxtStyleRouteName) => (node: TreeNode) => string;

export { getNuxtStyleRouteName, getRouteName };
